LognormalCmsSpreadPricer Class Reference

CMS spread - coupon pricer. More...

`#include <ql/experimental/coupons/lognormalcmsspreadpricer.hpp>`

Inheritance diagram for LognormalCmsSpreadPricer:
[legend]

## Public Member Functions

| LognormalCmsSpreadPricer (const boost::shared_ptr< CmsCouponPricer > cmsPricer, const Handle< Quote > &correlation, const Handle< YieldTermStructure > &couponDiscountCurve=Handle< YieldTermStructure >(), const Size IntegrationPoints=16)
virtual Real | swapletPrice () const
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
void | flushCache ()
Public Member Functions inherited from CmsSpreadCouponPricer
| CmsSpreadCouponPricer (const Handle< Quote > &correlation=Handle< Quote >())
Handle< Quote > | correlation () const
void | setCorrelation (const Handle< Quote > &correlation=Handle< Quote >())
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

CMS spread - coupon pricer.

blah blah...